<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-admin.css" type='text/css' />
<link rel="first" href="mailman-admin.html" title='GNU mailman - list Administration Manual' />
<link rel='contents' href='contents.html' title="Contents" />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="node14.html" />
<link rel="prev" href="node12.html" />
<link rel="parent" href="node9.html" />
<link rel="next" href="node14.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>2.1.4 Notifications</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="2.1.3 umbrella list settings"
  href="node12.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="2.1 the General Options"
  href="node9.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="2.1.5 additional settings"
  href="node14.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - List Administration Manual</td>
<td class='online-navigation'><a rel="contents" title="Table of Contents"
  href="contents.html"><img src='contents.png'
  border='0' height='32'  alt='Contents' width='32' /></a></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node12.html">2.1.3 Umbrella list settings</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node9.html">2.1 The General Options</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node14.html">2.1.5 Additional settings</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h3><a name="SECTION002214000000000000000">
2.1.4 Notifications</a>
</h3>

<p>
Mailman sends notifications to the list administrators or list members
under a number of different circumstances.  Most of these
notifications can be configured in this section, but see the Bounce
Processing and Auto-responder categories for other notifications that
Mailman can send.

<p>
<dl>
<dt><strong>send_reminders</strong></dt>
<dd>By default Mailman sends all list members a monthly password
    reminder.  This notice serves two purposes.  First, it reminds
    people about all the lists they may be subscribed to on this
    domain, including the lists where their subscription may be
    disabled.  Second, it reminds people about their passwords for
    these lists, as well as the url for their personal options pages,
    so that they can more easily configure their subscription options.

<p>
Some people get annoyed with these monthly reminders, and they can
    disable the reminders via their subscription options page.  For
    some lists, the monthly reminders aren't appropriate for any of
    the members, so you can disable them list-wide by setting the
    <code>send_reminders</code> variable to <em>No</em>.

<p>
</dd>
<dt><strong>welcome_msg</strong></dt>
<dd>When new members are subscribed to the list, either by their own
    action, or the action of a list administrator, a welcome message
    can be sent to them.  The welcome message contains some common
    boilerplate information, such as the name of the list,
    instructions for posting to the list, and the member's
    subscription password.  You can add additional information to the
    welcome message by typing the text into the <code>welcome_msg</code>
    text box.  Note that because this text is sent as part of an
    email, it should <strong>not</strong> contain HTML.

<p>
</dd>
<dt><strong>send_welcome_msg</strong></dt>
<dd>This flag controls whether or not the welcome message is sent to
    new subscribers.

<p>
</dd>
<dt><strong>goodbye_msg</strong></dt>
<dd>Like the <code>welcome_msg</code>, a ``goodbye'' message can be sent to
    members when they unsubscribe from the list.  Unlike the welcome
    message, there's no boilerplate for the goodbye message.  Enter
    the entire goodbye message you'd like unsubscribing members to
    receive into the <code>goodbye_msg</code> text box.

<p>
</dd>
<dt><strong>send_goodbye_msg</strong></dt>
<dd>This flag controls whether or not the goodbye message is sent to
    unsubscribing members.

<p>
</dd>
<dt><strong>admin_immed_notify</strong></dt>
<dd>List moderators get notifications of pending administrative
    actions, such as subscription or unsubscription requests that
    require moderator approval, or posted messages that are being held
    for moderator approval.  List moderators will always get a daily
    summary of such pending requests, but they can also get immediate
    notifications when such a request is made.  The
    <code>admin_immed_notify</code> variable controls whether these
    immediate notifications are sent or not.  It's generally a good
    idea to leave this set to <em>Yes</em>.

<p>
</dd>
<dt><strong>admin_notify_mchanges</strong></dt>
<dd>This variable controls whether the list administrators should get
    notifications when members join or leave the list.

<p>
</dd>
<dt><strong>respond_to_post_requests</strong></dt>
<dd>This variable controls whether the original sender of a posting
    gets a notice when their message is held for moderator approval.

<p>
</dd>
</dl>

<p>

<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="2.1.3 umbrella list settings"
  href="node12.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="2.1 the General Options"
  href="node9.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="2.1.5 additional settings"
  href="node14.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - List Administration Manual</td>
<td class='online-navigation'><a rel="contents" title="Table of Contents"
  href="contents.html"><img src='contents.png'
  border='0' height='32'  alt='Contents' width='32' /></a></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node12.html">2.1.3 Umbrella list settings</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node9.html">2.1 The General Options</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node14.html">2.1.5 Additional settings</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
